Bug 2120 - [Tracker] Implement systemd in Mageia 2 - specifications
Summary: [Tracker] Implement systemd in Mageia 2 - specifications
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: release_blocker critical
Target Milestone: Mageia 2
Assignee: D Morgan
QA Contact:
URL: https://bugs.mageia.org/buglist.cgi?c...
Whiteboard: QA
Keywords:
Depends on: 2246 2504 2521 2698 2703 2760 2767 2803 2804 2865 2983 2998 3068 3069 3074 3106 3129 3188 3220 3221 3223 3227 3251 3253 3386 3430 3512 3551 3577 3578 3581 3647 3648 3649 3658 3717 3719 3740 3744 3784 3800 3812 3817 3823 4003 4052 4131 4133 4166 4172 4186 4187 4198 4199 4205 4213 4233 4328 4339 4353 4475 4500 4504 4509 4510 4528 4541 4552 4557 4582 4588 4605 4672 4688 4744 4763 4772 4846 4863 4875 4892 4910 5122 5143 5148 5159 5184 5262 5381 5594
Blocks: 1994 3402 3656 3960
  Show dependency treegraph
 
Reported: 2011-07-12 14:05 CEST by Anne Nicolas
Modified: 2012-05-17 16:14 CEST (History)
10 users (show)

See Also:
Source RPM: systemd
CVE:
Status comment:


Attachments

Description Anne Nicolas 2011-07-12 14:05:56 CEST
Systemd is part of proposals for technical specifications fr Mageia2.

This bug is about question of its integration in cauldron and the way to do it
- make it smoothly: have both in parallel while it's not all integrated
- tests, QA, services modifications...
Jerome Quelin 2011-07-12 14:49:43 CEST

CC: (none) => jquelin

Anne Nicolas 2011-07-12 14:58:06 CEST

Blocks: (none) => 1994

Comment 1 Chris Denice 2011-07-13 13:36:31 CEST
Hi guys, I read we can shout here so:

1) first thing to say from userland: motivations?

I hope systemd is no like another useless fashion program such as haldaemon and really brings an added value concerning usage of mga; or at least it's devel. Nobody seems to discuss this, maybe it is obvious?

2) On mandriva however, it deeply sucked. My own experience was that a lot of not-so-standard stuff were broken (like multi soundcards, modprobe config files no longer read and so on...) and nothing really cool happened on the user's side. So if this is going to happen on mga, it should not happen like this has been done on mdv.

3) Strongly against having both since it decreases the number of testers that would be forced to use systemd otherwise, and this will decrease our ability to debug it. Again, from the mdv move, I would even say that fixing issues in one may induce bugs in the other.

cheers,
chris.

CC: (none) => dirteat

Comment 2 Christiaan Welvaart 2011-07-22 00:33:23 CEST
(In reply to comment #1)

ad 1: systemd allows fast booting and shutdown, and cleaner shutdown. Dependencies between startup tasks can be evaluated cleanly (systemd simply makes the task that depends on something else wait, instead of systemd waiting itself and then notifying the task). I think it also provides powerful analysis tools, logging is more robust, etc.

ad 2: I hope someone can list these problems (in a bit more detail) and we should verify and if necessary solve each one.

ad 3: IMHO we should not try to support the old init system even though it will likely still be provided in mga2. If people have problems with it the advice should be to switch to systemd.


And one question of my own:

Is systemd supposed to be used for new installs only or also for upgrades? In other words, are we going to "force" people to switch from old-style init/scripts to systemd + a few old scripts?

CC: (none) => cjw

Sander Lepik 2011-07-28 17:35:21 CEST

CC: (none) => sander.lepik
Depends on: (none) => 2246

Thierry Vignaud 2011-07-29 06:29:20 CEST

CC: (none) => thierry.vignaud

Comment 3 Samuel Verschelde 2011-10-01 03:10:06 CEST
Assigning to maintainer now that our maintainers database has an entry for
this package. Please assign back to bugsquad@mageia.org in case of a mistake
from me.

Assignee: bugsquad => dmorganec
CC: (none) => stormi

Manuel Hiebel 2011-10-07 14:40:16 CEST

Depends on: (none) => 2521, 2698, 2804

Dick Gevers 2011-10-07 15:40:16 CEST

Depends on: (none) => 2760, 2767
CC: (none) => dvgevers

Dick Gevers 2011-10-07 21:02:56 CEST

Depends on: (none) => 2703

Dick Gevers 2011-10-09 12:48:01 CEST

Depends on: 2703 => 2998

Dick Gevers 2011-10-09 12:53:46 CEST

Depends on: (none) => 2703

Manuel Hiebel 2011-10-17 17:55:12 CEST

Depends on: (none) => 3068, 3074, 3069
Priority: Normal => release_blocker

Thierry Vignaud 2011-10-18 22:39:18 CEST

Depends on: (none) => 3106

Comment 4 Manuel Hiebel 2011-10-22 21:10:44 CEST
We don't know who really work on systemd so please look at depends bug. Thanks

Depends on: (none) => 3129

Comment 5 D Morgan 2011-10-22 23:14:36 CEST
coling and I, are for now the more working on systemd but everybody can come to help :)
Manuel Hiebel 2011-10-26 18:25:46 CEST

Depends on: (none) => 3188

D Morgan 2011-10-27 18:03:22 CEST

Depends on: (none) => 2504

D Morgan 2011-10-27 21:41:08 CEST

Depends on: (none) => 2983

D Morgan 2011-10-27 21:41:15 CEST

Depends on: (none) => 2865

D Morgan 2011-10-29 02:47:26 CEST

Severity: normal => critical

Manuel Hiebel 2011-10-29 16:53:10 CEST

Depends on: (none) => 3223

Manuel Hiebel 2011-10-29 16:53:20 CEST

Depends on: (none) => 3221

Manuel Hiebel 2011-10-29 16:53:37 CEST

Depends on: (none) => 3220

Manuel Hiebel 2011-10-29 19:28:36 CEST

Depends on: (none) => 1978

Manuel Hiebel 2011-10-30 20:29:30 CET

Depends on: (none) => 3227

Manuel Hiebel 2011-10-30 20:31:15 CET

Depends on: (none) => 2803

Dick Gevers 2011-11-02 21:47:36 CET

Depends on: (none) => 3251

Manuel Hiebel 2011-11-19 15:53:52 CET

Depends on: (none) => 3386

Manuel Hiebel 2011-11-23 18:57:52 CET

Depends on: (none) => 3430

Jerome Quelin 2011-11-25 09:11:11 CET

CC: jquelin => (none)

Thierry Vignaud 2011-11-28 10:05:10 CET

Depends on: (none) => 3512

Manuel Hiebel 2011-12-01 17:34:34 CET

Depends on: (none) => 3551

Manuel Hiebel 2011-12-02 18:33:31 CET

Depends on: (none) => 3578

Manuel Hiebel 2011-12-02 18:36:56 CET

Depends on: (none) => 3577

Manuel Hiebel 2011-12-03 00:02:31 CET

Depends on: (none) => 3581

Comment 6 Thierry Vignaud 2011-12-07 11:10:04 CET
Adding a named query for systemd bugs (might be easier to manage systemd related issues)

Depends on: (none) => 3648
URL: (none) => https://bugs.mageia.org/buglist.cgi?cmdtype=dorem&remaction=run&namedcmd=systemd

Manuel Hiebel 2011-12-07 11:50:13 CET

URL: https://bugs.mageia.org/buglist.cgi?cmdtype=dorem&remaction=run&namedcmd=systemd => https://bugs.mageia.org/buglist.cgi?cmdtype=dorem&remaction=run&namedcmd=systemd&sharer_id=81

Manuel Hiebel 2011-12-07 17:51:43 CET

Depends on: (none) => 3659

Manuel Hiebel 2011-12-07 17:54:38 CET

Depends on: (none) => 3658

Manuel Hiebel 2011-12-07 21:15:06 CET

Depends on: (none) => 3649

Manuel Hiebel 2011-12-09 13:11:59 CET

Depends on: (none) => 3647

Manuel Hiebel 2011-12-12 13:43:35 CET

Blocks: (none) => 3719

Manuel Hiebel 2011-12-12 14:14:01 CET

Blocks: (none) => 3656

Manuel Hiebel 2011-12-12 22:27:43 CET

Depends on: (none) => 3717
CC: (none) => mageia

Dick Gevers 2011-12-14 09:46:48 CET

Depends on: (none) => 3740
Hardware: i586 => All

Manuel Hiebel 2011-12-14 20:14:01 CET

Depends on: (none) => 3744

Manuel Hiebel 2011-12-16 19:40:18 CET

Depends on: (none) => 3784

Florian Hubold 2011-12-18 21:43:02 CET

Depends on: (none) => 3812
CC: (none) => doktor5000

Manuel Hiebel 2011-12-19 11:51:56 CET

Depends on: (none) => 3817

Manuel Hiebel 2011-12-31 13:11:10 CET

Blocks: (none) => 3960

Comment 7 Manuel Hiebel 2012-01-05 19:08:25 CET
General ping for Alpha 3

Whiteboard: (none) => QA

Manuel Hiebel 2012-01-07 17:20:13 CET

Depends on: (none) => 4052

Manuel Hiebel 2012-01-16 15:41:51 CET

Depends on: (none) => 4131

Manuel Hiebel 2012-01-16 15:46:53 CET

Depends on: (none) => 4133

Manuel Hiebel 2012-01-17 18:13:22 CET

Depends on: (none) => 4166

Manuel Hiebel 2012-01-18 04:19:59 CET

Depends on: (none) => 4172

Manuel Hiebel 2012-01-18 04:30:09 CET

Depends on: (none) => 4177

Manuel Hiebel 2012-01-18 16:17:33 CET

Depends on: (none) => 3800

Manuel Hiebel 2012-01-18 22:34:40 CET

Depends on: (none) => 4186

Manuel Hiebel 2012-01-18 22:37:00 CET

Depends on: (none) => 4187

Manuel Hiebel 2012-01-20 12:27:35 CET

Depends on: (none) => 4199

Manuel Hiebel 2012-01-20 12:28:23 CET

Depends on: (none) => 4198

Dick Gevers 2012-01-20 14:31:53 CET

Depends on: (none) => 4205

Dick Gevers 2012-01-21 13:30:23 CET

Depends on: (none) => 4213

Dick Gevers 2012-01-21 13:39:34 CET

Depends on: 4213 => (none)

Dick Gevers 2012-01-21 13:41:58 CET

Depends on: (none) => 4213

Manuel Hiebel 2012-01-23 00:37:05 CET

Depends on: (none) => 4003

Manuel Hiebel 2012-01-23 12:14:24 CET

Depends on: (none) => 4233

D Morgan 2012-01-25 02:31:14 CET

Depends on: 3659 => (none)

Manuel Hiebel 2012-01-29 11:52:03 CET

Depends on: (none) => 4327

Manuel Hiebel 2012-01-29 11:52:31 CET

Depends on: (none) => 4328

Manuel Hiebel 2012-01-30 01:05:08 CET

Depends on: (none) => 4339

Marja van Waes 2012-01-30 21:12:34 CET

Depends on: (none) => 3719
Blocks: 3719 => (none)

Manuel Hiebel 2012-01-31 10:54:43 CET

Depends on: (none) => 4353

Manuel Hiebel 2012-02-07 23:16:57 CET

Blocks: (none) => 3402

D Morgan 2012-02-11 03:30:54 CET

Depends on: 1978 => (none)

Bit Twister 2012-02-11 10:45:01 CET

Depends on: (none) => 4475

Manuel Hiebel 2012-02-13 00:59:18 CET

Depends on: (none) => 4504

Manuel Hiebel 2012-02-13 23:58:55 CET

Depends on: (none) => 4500

Manuel Hiebel 2012-02-14 00:04:49 CET

Depends on: (none) => 4509

Manuel Hiebel 2012-02-14 00:07:15 CET

Depends on: (none) => 4510

Manuel Hiebel 2012-02-15 17:46:29 CET

Depends on: (none) => 4528

Manuel Hiebel 2012-02-17 16:57:34 CET

Depends on: (none) => 4552

Marja van Waes 2012-02-19 12:20:35 CET

Depends on: (none) => 4557

Manuel Hiebel 2012-02-20 14:18:46 CET

Depends on: (none) => 4588

Luc Menut 2012-02-22 23:18:48 CET

Depends on: (none) => 4605

Bit Twister 2012-02-24 10:14:44 CET

Depends on: (none) => 3823

Manuel Hiebel 2012-02-24 21:41:16 CET

Depends on: (none) => 4672

Manuel Hiebel 2012-02-27 21:42:46 CET

Depends on: (none) => 4688

Manuel Hiebel 2012-03-01 15:53:53 CET

Depends on: (none) => 4744

Manuel Hiebel 2012-03-01 15:54:59 CET

Depends on: (none) => 4582

Manuel Hiebel 2012-03-01 23:59:00 CET

Depends on: (none) => 4763

Manuel Hiebel 2012-03-06 23:50:53 CET

Depends on: (none) => 4772

Manuel Hiebel 2012-03-10 16:03:00 CET

Depends on: (none) => 4863

Manuel Hiebel 2012-03-11 21:32:54 CET

Depends on: (none) => 4875

Manuel Hiebel 2012-03-12 18:27:37 CET

Depends on: (none) => 4892

Manuel Hiebel 2012-03-13 16:52:02 CET

Depends on: (none) => 4846

Anne Nicolas 2012-03-21 22:11:34 CET

Summary: Implement systemd in Mageia 2 - specifications => (Tracker] Implement systemd in Mageia 2 - specifications

Anne Nicolas 2012-03-21 22:12:04 CET

Summary: (Tracker] Implement systemd in Mageia 2 - specifications => [Tracker] Implement systemd in Mageia 2 - specifications

Manuel Hiebel 2012-03-22 16:48:22 CET

Depends on: (none) => 3253

Manuel Hiebel 2012-03-27 03:08:06 CEST

Depends on: (none) => 5122

Colin Guthrie 2012-03-27 20:39:15 CEST

Depends on: (none) => 4541

Barry Jackson 2012-03-28 00:20:24 CEST

Depends on: (none) => 5143

Manuel Hiebel 2012-03-29 14:53:19 CEST

Depends on: (none) => 5148

Manuel Hiebel 2012-03-29 15:08:03 CEST

Depends on: (none) => 5159

David Walser 2012-03-29 20:56:19 CEST

CC: (none) => luigiwalser
Depends on: (none) => 4910

Kamil Rytarowski 2012-04-01 22:34:01 CEST

Depends on: (none) => 5184

Colin Guthrie 2012-04-06 23:55:30 CEST

Depends on: (none) => 5262

Colin Guthrie 2012-04-09 17:50:10 CEST

Depends on: 4177 => (none)

Manuel Hiebel 2012-04-11 21:39:25 CEST

Depends on: (none) => 5337

Colin Guthrie 2012-04-12 01:03:23 CEST

Depends on: 5337 => (none)

Guillaume Rousse 2012-04-24 18:49:06 CEST

CC: (none) => guillomovitch
Depends on: (none) => 5594

Colin Guthrie 2012-04-26 00:03:11 CEST

Depends on: (none) => 5381

Colin Guthrie 2012-05-02 22:59:05 CEST

Depends on: 4327 => (none)

Comment 8 Colin Guthrie 2012-05-17 16:14:32 CEST
All bugs now fixed! \o/

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.